Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class WeakHashtableImpl

`java.lang.Object
java.util.Dictionary
oracle.jbo.common.WeakHashtableImpl`

public class WeakHashtableImpl
extends java.util.Dictionary

Internal: Applications should not use this class.

Constructor Summary
`WeakHashtableImpl()`
`WeakHashtableImpl(int initialCapacity)`
`WeakHashtableImpl(int initialCapacity, float loadFactor)`

Method Summary
`java.util.Enumeration` | `elements()`
`java.lang.Object` | `get(java.lang.Object key)`
`boolean` | `isEmpty()`
`java.util.Enumeration` | `keys()`
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)`
`protected void` | `rehash()`
`java.lang.Object` | `remove(java.lang.Object key)`
`int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WeakHashtableImpl

    public WeakHashtableImpl(int initialCapacity,
                             float loadFactor)

### WeakHashtableImpl

    public WeakHashtableImpl(int initialCapacity)

### WeakHashtableImpl

    public WeakHashtableImpl()

Method Detail

### size

    public int size()

### isEmpty

    public boolean isEmpty()

### keys

    public java.util.Enumeration keys()

### elements

    public java.util.Enumeration elements()

### get

    public java.lang.Object get(java.lang.Object key)

### rehash

    protected void rehash()

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

### remove

    public java.lang.Object remove(java.lang.Object key)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.